function HMvsQHM
%
% This functions compares harnomic model with quasi-harmonic model.


[s,fs] = wavread('arctic_a0003_piece.wav');
s = s(1150:1600,1);
win = hamming(451);

S = 20*log10(abs(fft(win.*s, 2048)));
S = S(1:512);
f = (0:511)*fs/2048;

f0 = 140;

[ak, bk, y1] = compLS_akbk(s, f0, 30, win, fs);
[ak, y2] = compLS_ak(s, f0, 30, win, fs);

Y1 = 20*log10(abs(fft(win.*y1, 2048)));
Y1 = Y1(1:512);
Y2 = 20*log10(abs(fft(win.*y2, 2048)));
Y2 = Y2(1:512);

SNRakbk = 20*log10(std(s.*win)/std((s-y1).*win))
SNRak = 20*log10(std(s.*win)/std((s-y2).*win))

subplot(211);plot(f,S+26,'k');hold on;
plot(f,Y1+26,'k--');hold off;ylim([0 50]);
xlabel('Frequency');ylabel('Magnitude');legend('Speech','s_1(t)');

subplot(212);plot(f,S+26,'k');hold on;
plot(f,Y2+26,'k--');hold off;ylim([0 50]);
xlabel('Frequency');ylabel('Magnitude');legend('Speech','s_0(t)');

